import java.io.*;


class  ComErrorStore  extends  Thread
{
    private InputStream   input;
    private LogOut	  log_out;
    private int		  id;
    private StringBuffer  content;
    private int		  nr_lines;


    ComErrorStore (InputStream  input,
		   LogOut	log_out,
		   int		id)
    {
	this.input    = input;
	this.log_out  = log_out;
	this.id	      = id;
	this.content  = new StringBuffer ();
	this.nr_lines = 0;
    }


    public void  run ()
    {
	synchronized (content)
	{
	    BufferedReader  reader = null;

	    try
	    {
		reader = new BufferedReader (
				 new InputStreamReader (input));

		String  line;

		while ( (line = reader.readLine ()) != null )
		{
		    content.append (line);
		    content.append ("\n");
		    nr_lines++;
		}

		reader.close ();
		reader = null;
	    }
	    catch (IOException  io_except)
	    {
		log_out.printLine (io_except.getMessage (), id);
	    }
	    finally
	    {
		if (reader != null)
		    try
		    {
			reader.close ();
			reader = null;
		    }
		    catch (IOException  io_except)
		    {
			log_out.printLine (io_except.getMessage (), id);
		    }
	    }
	}
    }


    String  getContent ()
    {
	synchronized (content)
	{
	    return content.toString ();
	}
    }


    int  getNrLines ()
    {
	synchronized (content)
	{
	    return nr_lines;
	}
    }
}
