/* ------------------------------------------------------------------ */
/*		     D a t e V e c t o r . j a v a		      */
/*		     =============================		      */
/*								      */
/*   This file contains the source of the "DateVector" class.	      */
/* ------------------------------------------------------------------ */


/**
 * This class is used to store sorted dates (and times) into a vector.
 *
 *    @author  Hans Blom
 *
************************************/
class DateVector  extends  SortVector
/***********************************/
{
    /**
     * Compare two dates (and times). Return the result of the
     * comparion: the most recent date is considered to be the largest.
     * 
     *    @param  object_1   The first date to compare.
     *
     *    @param  object_2   The second date to compare.
     *
     *    @return  The result of the date comaprison.
     *
    ******************************/
    int  compare (Object  object_1,
		  Object  object_2)
    /*****************************/
    {
	return ((DateFormat) object_1).compareTo (
					   (DateFormat) object_2);
    }

} // class DateVector
