/* ------------------------------------------------------------------ */
/*		   S t r i n g V e c t o r . j a v a		      */
/*		   =================================		      */
/*								      */
/*   This file contains the source of the "StringVector" class.	      */
/* ------------------------------------------------------------------ */


import java.util.*;


/**
 * This class is used to store strings into a vector. They are added at
 * the end of the vector when they are not yet there.
 *
 *    @author  Hans Blom
 *
***********************************/
class  StringVector  extends  Vector
/**********************************/
{
    /**
     * Add a new string in the vector when it is not yet there.
     *
     *	  @param  str   The string to add.
     *
    ********************************/
    void  addNewElement (String  str)
    /*******************************/
    {
	/*
	 * Check if the string is already in the vector. Stop the loop
	 * when this is the case.
	 */

	int	 curr_size = size ();
	int	 index	   = 0;
	boolean  inserted  = false;

	while (index < curr_size  &&  !inserted)
	    if ( str.compareTo ((String) elementAt (index++)) == 0 )
		inserted = true;

	/*
	 * Add the string ass the end of the vector when it is not yet
	 * inserted.
	 */

	if (!inserted)
	    addElement (str);

    } // addNewElement ()

} // class StringVector
